* [gentoo-commits] repo/gentoo:master commit in: app-admin/fluentd/, app-admin/fluentd/files/
@ 2018-06-28 0:14 William Hubbs
0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs @ 2018-06-28 0:14 UTC (permalink / raw
To: gentoo-commits
commit: c7892c22f05d4d1bddf5d310e78f03dfb858ac6b
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 27 23:41:41 2018 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Jun 28 00:12:48 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7892c22
app-admin/fluentd: 1.2.2 bump
Package-Manager: Portage-2.3.40, Repoman-2.3.9
app-admin/fluentd/Manifest | 1 +
app-admin/fluentd/files/fluentd.initd | 7 +++--
app-admin/fluentd/fluentd-1.2.2.ebuild | 54 ++++++++++++++++++++++++++++++++++
3 files changed, 59 insertions(+), 3 deletions(-)
diff --git a/app-admin/fluentd/Manifest b/app-admin/fluentd/Manifest
index ab8700ec226..a20e953296e 100644
--- a/app-admin/fluentd/Manifest
+++ b/app-admin/fluentd/Manifest
@@ -1,2 +1,3 @@
DIST fluentd-1.1.3.gem 413184 BLAKE2B facda41a26f9fe4f55a4ae6f97336acaa818534b6ac8740badcb132a18497e8767723e931bb2506843b56208deaf41cdaf9ac81821618cb223b8035527d355d7 SHA512 0d17668c06e515219a39ddc7ecda6b5ec5d29e7d4d3799e3447034ad731568d870ac3d36d468be21b6ef7a4198353c3045872902c41a54c0c2eacad8ec12f357
DIST fluentd-1.2.0.gem 430592 BLAKE2B 698666a5c1dfc3f90b6b1f5b9e58070b71caef859f5d41472185a6f9f1d1d2b1c3631ca0ad01fbac4b4f333484a539aedc70a90a4381fef90c5c4130ffd61b61 SHA512 928ad81381c024efa2ad1e5b0f3d3a74f4bf8e3373c8f835925e89739c6536048a8a16e6b59accf4719192118b86b2fb49b3e9536611381a8a236997fcc96651
+DIST fluentd-1.2.2.gem 431616 BLAKE2B 854f23908f10d0bbae1a48392f439ce33e1e3619eb887235b2018bc30166faec8c40d05b9fc1b4aac44befd7afea87b3547a7d458c6e471bde65616e92f41951 SHA512 2a582bfd54f290612cdfee5e3ff9e5adc894bc02639991ccfd551c90070167837288d33fecf1e4975165b6f6758d124ff0b0fed715c9276ef9def566057d9e57
diff --git a/app-admin/fluentd/files/fluentd.initd b/app-admin/fluentd/files/fluentd.initd
index ecbd10e0622..b2e39d55f60 100644
--- a/app-admin/fluentd/files/fluentd.initd
+++ b/app-admin/fluentd/files/fluentd.initd
@@ -3,11 +3,12 @@
# Distributed under the terms of the GNU General Public License v2
command=/usr/bin/fluentd
+logfile=/var/log/fluentd/fluent.log
pidfile=/var/run/fluentd.pid
-command_args="--daemon ${pidfile} --no-supervisor ${fluent_opts}"
+command_args="--daemon ${pidfile} --no-supervisor -o ${logfile} ${fluentd_opts}"
command_background=yes
command_user=fluentd:fluentd
-
+
start_pre() {
-fluentd -q --dry-run
+ fluentd -q --dry-run
}
diff --git a/app-admin/fluentd/fluentd-1.2.2.ebuild b/app-admin/fluentd/fluentd-1.2.2.ebuild
new file mode 100644
index 00000000000..5394c440e79
--- /dev/null
+++ b/app-admin/fluentd/fluentd-1.2.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+inherit ruby-fakegem user
+
+DESCRIPTION="data collector and unified logging layer (project under CNCF)"
+HOMEPAGE="https://www.fluentd.org"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+ruby_add_rdepend "
+ >=dev-ruby/msgpack-0.7.0
+ >=dev-ruby/yajl-ruby-1.0
+ >=dev-ruby/coolio-1.4.5
+ >=dev-ruby/serverengine-2.0.4
+ >=dev-ruby/http_parser_rb-0.5.1
+ >=dev-ruby/sigdump-0.2.2
+ >=dev-ruby/tzinfo-1.0
+ >=dev-ruby/strptime-0.2.2"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/tzinfo-data/d' \
+ -e '/dig_rb/d' \
+ "${PN}".gemspec || die "'sed failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+ keepdir /var/log/fluentd
+ fowners fluentd:adm /var/log/fluentd
+ insinto /etc/fluent
+ doins "${FILESDIR}"/fluent.conf
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ elog "A default configuration file has been installed in"
+ elog "${EROOT}etc/fluent/fluent.conf. You will need to edit"
+ elog "this file to match your configuration."
+ fi
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-admin/fluentd/, app-admin/fluentd/files/
@ 2018-11-09 19:33 William Hubbs
0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs @ 2018-11-09 19:33 UTC (permalink / raw
To: gentoo-commits
commit: 1e33b467d1bb55844a868626bc39da07d7b0dfac
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 9 19:32:00 2018 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Fri Nov 9 19:32:43 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e33b467
app-admin/fluentd: 1.2.6 bump
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>
app-admin/fluentd/Manifest | 1 +
app-admin/fluentd/files/fluentd.logrotate | 11 ++++++
app-admin/fluentd/fluentd-1.2.6.ebuild | 56 +++++++++++++++++++++++++++++++
3 files changed, 68 insertions(+)
diff --git a/app-admin/fluentd/Manifest b/app-admin/fluentd/Manifest
index a20e953296e..5d43e5ad420 100644
--- a/app-admin/fluentd/Manifest
+++ b/app-admin/fluentd/Manifest
@@ -1,3 +1,4 @@
DIST fluentd-1.1.3.gem 413184 BLAKE2B facda41a26f9fe4f55a4ae6f97336acaa818534b6ac8740badcb132a18497e8767723e931bb2506843b56208deaf41cdaf9ac81821618cb223b8035527d355d7 SHA512 0d17668c06e515219a39ddc7ecda6b5ec5d29e7d4d3799e3447034ad731568d870ac3d36d468be21b6ef7a4198353c3045872902c41a54c0c2eacad8ec12f357
DIST fluentd-1.2.0.gem 430592 BLAKE2B 698666a5c1dfc3f90b6b1f5b9e58070b71caef859f5d41472185a6f9f1d1d2b1c3631ca0ad01fbac4b4f333484a539aedc70a90a4381fef90c5c4130ffd61b61 SHA512 928ad81381c024efa2ad1e5b0f3d3a74f4bf8e3373c8f835925e89739c6536048a8a16e6b59accf4719192118b86b2fb49b3e9536611381a8a236997fcc96651
DIST fluentd-1.2.2.gem 431616 BLAKE2B 854f23908f10d0bbae1a48392f439ce33e1e3619eb887235b2018bc30166faec8c40d05b9fc1b4aac44befd7afea87b3547a7d458c6e471bde65616e92f41951 SHA512 2a582bfd54f290612cdfee5e3ff9e5adc894bc02639991ccfd551c90070167837288d33fecf1e4975165b6f6758d124ff0b0fed715c9276ef9def566057d9e57
+DIST fluentd-1.2.6.gem 434176 BLAKE2B 05fb0a29def48b673f458a19eb2662b0e447d949284af3a2aa28694e0cef8177c5a584d9f475ff71a548d7acdde504e8843a312ed0dc85e892b0f2dd59cdf8ef SHA512 9faeef818195d0014f9fffc29222d031a819ef8af323700b26290d5b394bec6815e86699ab89ba4e8d428321e10d3463c297d6c9046dbb46fdc061777206f8ae
diff --git a/app-admin/fluentd/files/fluentd.logrotate b/app-admin/fluentd/files/fluentd.logrotate
new file mode 100644
index 00000000000..52c1c7d4183
--- /dev/null
+++ b/app-admin/fluentd/files/fluentd.logrotate
@@ -0,0 +1,11 @@
+# /etc/logrotate.d/fluentd
+/var/log/fluentd/*log {
+ su fluentd fluentd
+ weekly
+ rotate 6
+ compress
+ delaycompress
+ missingok
+ notifempty
+ create 664 fluentd fluentd
+}
diff --git a/app-admin/fluentd/fluentd-1.2.6.ebuild b/app-admin/fluentd/fluentd-1.2.6.ebuild
new file mode 100644
index 00000000000..ecc42f637b0
--- /dev/null
+++ b/app-admin/fluentd/fluentd-1.2.6.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+inherit ruby-fakegem user
+
+DESCRIPTION="data collector and unified logging layer (project under CNCF)"
+HOMEPAGE="https://www.fluentd.org"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+ruby_add_rdepend "
+ >=dev-ruby/msgpack-0.7.0
+ >=dev-ruby/yajl-ruby-1.0
+ >=dev-ruby/coolio-1.4.5
+ >=dev-ruby/serverengine-2.0.4
+ >=dev-ruby/http_parser_rb-0.5.1
+ >=dev-ruby/sigdump-0.2.2
+ >=dev-ruby/tzinfo-1.0
+ >=dev-ruby/strptime-0.2.2"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/tzinfo-data/d' \
+ -e '/dig_rb/d' \
+ "${PN}".gemspec || die "'sed failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+ keepdir /var/log/fluentd
+ fowners fluentd:adm /var/log/fluentd
+ insinto /etc/fluent
+ doins "${FILESDIR}"/fluent.conf
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ newinitd "${FILESDIR}"/${PN}.initd ${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${PN}.logrotate ${PN}
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ elog "A default configuration file has been installed in"
+ elog "${EROOT}etc/fluent/fluent.conf. You will need to edit"
+ elog "this file to match your configuration."
+ fi
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-admin/fluentd/, app-admin/fluentd/files/
@ 2018-11-13 0:49 William Hubbs
0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs @ 2018-11-13 0:49 UTC (permalink / raw
To: gentoo-commits
commit: 8c247d1763da41001cb273ac44bcf927ed26034a
Author: William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 13 00:46:45 2018 +0000
Commit: William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Tue Nov 13 00:48:30 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c247d17
app-admin/fluentd: 1.2.6-r1 bump to add retry schedule
Package-Manager: Portage-2.3.51, Repoman-2.3.11
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>
app-admin/fluentd/files/fluentd-1.2.6.initd | 15 ++++++++
app-admin/fluentd/fluentd-1.2.6-r1.ebuild | 56 +++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/app-admin/fluentd/files/fluentd-1.2.6.initd b/app-admin/fluentd/files/fluentd-1.2.6.initd
new file mode 100644
index 00000000000..f2019e3e116
--- /dev/null
+++ b/app-admin/fluentd/files/fluentd-1.2.6.initd
@@ -0,0 +1,15 @@
+#!/sbin/openrc-run
+# Copyright 2018 Sony Interactive Entertainment
+# Distributed under the terms of the GNU General Public License v2
+
+command=/usr/bin/fluentd
+logfile=/var/log/fluentd/fluent.log
+pidfile=/var/run/fluentd.pid
+command_args="--daemon ${pidfile} --no-supervisor -o ${logfile} ${fluentd_opts}"
+command_background=yes
+command_user=fluentd:fluentd
+retry="TERM/10/KILL/30"
+
+start_pre() {
+ fluentd -q --dry-run
+}
diff --git a/app-admin/fluentd/fluentd-1.2.6-r1.ebuild b/app-admin/fluentd/fluentd-1.2.6-r1.ebuild
new file mode 100644
index 00000000000..2f672eb9476
--- /dev/null
+++ b/app-admin/fluentd/fluentd-1.2.6-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 2018 Sony Interactive Entertainment Inc.
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+inherit ruby-fakegem user
+
+DESCRIPTION="data collector and unified logging layer (project under CNCF)"
+HOMEPAGE="https://www.fluentd.org"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+ruby_add_rdepend "
+ >=dev-ruby/msgpack-0.7.0
+ >=dev-ruby/yajl-ruby-1.0
+ >=dev-ruby/coolio-1.4.5
+ >=dev-ruby/serverengine-2.0.4
+ >=dev-ruby/http_parser_rb-0.5.1
+ >=dev-ruby/sigdump-0.2.2
+ >=dev-ruby/tzinfo-1.0
+ >=dev-ruby/strptime-0.2.2"
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/tzinfo-data/d' \
+ -e '/dig_rb/d' \
+ "${PN}".gemspec || die "'sed failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+ keepdir /var/log/fluentd
+ fowners fluentd:adm /var/log/fluentd
+ insinto /etc/fluent
+ doins "${FILESDIR}"/fluent.conf
+ newconfd "${FILESDIR}"/${PN}.confd ${PN}
+ newinitd "${FILESDIR}"/${P}.initd ${PN}
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/${PN}.logrotate ${PN}
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ elog "A default configuration file has been installed in"
+ elog "${EROOT}etc/fluent/fluent.conf. You will need to edit"
+ elog "this file to match your configuration."
+ fi
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-admin/fluentd/, app-admin/fluentd/files/
@ 2024-01-20 13:33 Sam James
0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2024-01-20 13:33 UTC (permalink / raw
To: gentoo-commits
commit: e379896e502fca4405cbdd01d178212a6840b8bb
Author: Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Thu Jan 11 14:59:33 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan 20 13:30:14 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e379896e
app-admin/fluentd: drop 1.14.4, 1.14.6
Bug: https://bugs.gentoo.org/879181
Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Closes: https://github.com/gentoo/gentoo/pull/34757
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-admin/fluentd/Manifest | 2 -
app-admin/fluentd/files/fluent.conf | 139 --------------------------------
app-admin/fluentd/fluentd-1.14.4.ebuild | 63 ---------------
app-admin/fluentd/fluentd-1.14.6.ebuild | 63 ---------------
4 files changed, 267 deletions(-)
diff --git a/app-admin/fluentd/Manifest b/app-admin/fluentd/Manifest
index 4125063fc608..030120f0dd95 100644
--- a/app-admin/fluentd/Manifest
+++ b/app-admin/fluentd/Manifest
@@ -1,3 +1 @@
-DIST fluentd-1.14.4.gem 852480 BLAKE2B d358a067dbfd50164583e629133632039543560104ba5c2b71fb44e3eba0d4119e73556a64f20f60d1c4d67c9c430fa4ab9e3c37e6d0cba166de9396a9dc339b SHA512 09770d0a02e1a29cc0504cd384365fff9445ba5257950b7154f7ba939dbaefcc6b9b1441838cb89d4ddb3101f1715c271de27e1cf46aac430daf968ce145fbe0
-DIST fluentd-1.14.6.gem 856576 BLAKE2B 1422ab704a4b5eb674885a192ae241aa9ee4ba187ff38c9548435c858712f40b6af028776a8e8c8cd122501463cc910e034b5f0a5815e738f7cfd4d1f0d6026e SHA512 63a4e4a51dd9913d0a3a2ea9cb40794de874ee40256890ebaaef3111cc5a401179abdea1230efc92d962811c2f618591bbc7d8d5139d8851d682818712ba3ea7
DIST fluentd-1.16.3.gem 880128 BLAKE2B c3b7379acf671bdf339cf4e7f2cc83aafebf4b8146203b04dcf7e1608263734979a77f3514373d9ff5740b421daa51edc3f10ab2b112b61cfac6aae4375efa55 SHA512 fb7d5fc9bd020ae4cd5c45d89740ed9a218156e9f64c170c9c6869448d111755a8e225c3539b8b2626a312406a329b5660d5d9ba2aa863eb1ee8ab69fb9c72a0
diff --git a/app-admin/fluentd/files/fluent.conf b/app-admin/fluentd/files/fluent.conf
deleted file mode 100644
index 099d1b4af47d..000000000000
--- a/app-admin/fluentd/files/fluent.conf
+++ /dev/null
@@ -1,139 +0,0 @@
-# In v1 configuration, type and id are @ prefix parameters.
-# @type and @id are recommended. type and id are still available for backward compatibility
-
-## built-in TCP input
-## $ echo <json> | fluent-cat <tag>
-#<source>
-# @type forward
-# @id forward_input
-#</source>
-
-## built-in UNIX socket input
-#<source>
-# @type unix
-#</source>
-
-# HTTP input
-# http://localhost:8888/<tag>?json=<json>
-#<source>
-# @type http
-# @id http_input
-
-# port 8888
-#</source>
-
-## File input
-## read apache logs with tag=apache.access
-#<source>
-# @type tail
-# format apache
-# path /var/log/httpd-access.log
-# tag apache.access
-#</source>
-
-## Mutating event filter
-## Add hostname and tag fields to apache.access tag events
-#<filter apache.access>
-# @type record_transformer
-# <record>
-# hostname ${hostname}
-# tag ${tag}
-# </record>
-#</filter>
-
-## Selecting event filter
-## Remove unnecessary events from apache prefixed tag events
-#<filter apache.**>
-# @type grep
-# include1 method GET # pass only GET in 'method' field
-# exclude1 message debug # remove debug event
-#</filter>
-
-# Listen HTTP for monitoring
-# http://localhost:24220/api/plugins
-# http://localhost:24220/api/plugins?type=TYPE
-# http://localhost:24220/api/plugins?tag=MYTAG
-#<source>
-# @type monitor_agent
-# @id monitor_agent_input
-
-# port 24220
-#</source>
-
-# Listen DRb for debug
-#<source>
-# @type debug_agent
-# @id debug_agent_input
-
-# bind 127.0.0.1
-# port 24230
-#</source>
-
-## match tag=apache.access and write to file
-#<match apache.access>
-# @type file
-# path /var/log/fluent/access
-#</match>
-
-## match tag=debug.** and dump to console
-<match debug.**>
- @type stdout
- @id stdout_output
-</match>
-
-# match tag=system.** and forward to another fluent server
-#<match system.**>
-# @type forward
-# @id forward_output
-
-# <server>
-# host 192.168.0.11
-# </server>
-# <secondary>
-# <server>
-# host 192.168.0.12
-# </server>
-# </secondary>
-#</match>
-
-## match tag=myapp.** and forward and write to file
-#<match myapp.**>
-# @type copy
-# <store>
-# @type forward
-# buffer_type file
-# buffer_path /var/log/fluent/myapp-forward
-# retry_limit 50
-# flush_interval 10s
-# <server>
-# host 192.168.0.13
-# </server>
-# </store>
-# <store>
-# @type file
-# path /var/log/fluent/myapp
-# </store>
-#</match>
-
-## match fluent's internal events
-#<match fluent.**>
-# @type null
-#</match>
-
-## match not matched logs and write to file
-#<match **>
-# @type file
-# path /var/log/fluent/else
-# compress gz
-#</match>
-
-## Label: For handling complex event routing
-#<label @STAGING>
-# <match system.**>
-# @type forward
-# @id staging_forward_output
-# <server>
-# host 192.168.0.101
-# </server>
-# </match>
-#</label>
diff --git a/app-admin/fluentd/fluentd-1.14.4.ebuild b/app-admin/fluentd/fluentd-1.14.4.ebuild
deleted file mode 100644
index bce8cd6013be..000000000000
--- a/app-admin/fluentd/fluentd-1.14.4.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-USE_RUBY="ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_RECIPE_DOC="rdoc"
-
-inherit ruby-fakegem
-
-DESCRIPTION="data collector and unified logging layer (project under CNCF)"
-HOMEPAGE="https://www.fluentd.org"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-COMMON_DEPEND="acct-group/fluentd
- acct-user/fluentd"
-DEPEND="${COMMON_DEPEND}"
-RDEPEND="${COMMON_DEPEND}"
-
-ruby_add_rdepend "
- >=dev-ruby/coolio-1.4.5
- >=dev-ruby/http_parser_rb-0.5.1
- >=dev-ruby/msgpack-1.3.1
- >=dev-ruby/serverengine-2.0.4
- >=dev-ruby/sigdump-0.2.2
- >=dev-ruby/strptime-0.2.2
- >=dev-ruby/tzinfo-1.0
- >=dev-ruby/yajl-ruby-1.0"
-
-ruby_add_depend "test? ( dev-ruby/flexmock )"
-
-all_ruby_prepare() {
- sed -i \
- -e '/tzinfo-data/d' \
- -e '/dig_rb/d' \
- "${PN}".gemspec || die "'sed failed"
-
- # Avoid test dependency on unpackaged oj
- rm -f test/test_event_time.rb || die
-}
-
-all_ruby_install() {
- all_fakegem_install
- keepdir /var/log/fluentd
- fowners fluentd:adm /var/log/fluentd
- insinto /etc/fluent
- doins fluent.conf
- newconfd "${FILESDIR}"/${PN}.confd ${PN}
- newinitd "${FILESDIR}"/${PN}.initd ${PN}
- insinto /etc/logrotate.d
- newins "${FILESDIR}"/${PN}.logrotate ${PN}
-}
-
-pkg_postinst() {
- if [[ -z "${REPLACING_VERSIONS}" ]]; then
- elog "A default configuration file has been installed in"
- elog "${EROOT}/etc/fluent/fluent.conf. You will need to edit"
- elog "this file to match your configuration."
- fi
-}
diff --git a/app-admin/fluentd/fluentd-1.14.6.ebuild b/app-admin/fluentd/fluentd-1.14.6.ebuild
deleted file mode 100644
index 7d47ce990b7d..000000000000
--- a/app-admin/fluentd/fluentd-1.14.6.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby31 ruby32"
-
-inherit ruby-fakegem
-
-DESCRIPTION="data collector and unified logging layer (project under CNCF)"
-HOMEPAGE="https://www.fluentd.org"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-COMMON_DEPEND="acct-group/fluentd
- acct-user/fluentd"
-DEPEND="${COMMON_DEPEND}"
-RDEPEND="${COMMON_DEPEND}"
-
-ruby_add_rdepend "
- dev-ruby/bundler
- >=dev-ruby/coolio-1.4.5
- >=dev-ruby/http_parser_rb-0.5.1
- >=dev-ruby/msgpack-1.3.1
- >=dev-ruby/serverengine-2.2.5
- >=dev-ruby/sigdump-0.2.2
- >=dev-ruby/strptime-0.2.4
- >=dev-ruby/tzinfo-1.0
- =dev-ruby/webrick-1.7*
- >=dev-ruby/yajl-ruby-1.0"
-
-ruby_add_depend "test? ( dev-ruby/flexmock )"
-
-all_ruby_prepare() {
- sed -i \
- -e '/tzinfo-data/d' \
- -e '/dig_rb/d' \
- "${PN}".gemspec || die "'sed failed"
-
- # Avoid test dependency on unpackaged oj
- rm -f test/test_event_time.rb || die
-}
-
-all_ruby_install() {
- all_fakegem_install
- keepdir /var/log/fluentd
- fowners fluentd:adm /var/log/fluentd
- insinto /etc/fluent
- doins fluent.conf
- newconfd "${FILESDIR}"/${PN}.confd ${PN}
- newinitd "${FILESDIR}"/${PN}.initd ${PN}
- insinto /etc/logrotate.d
- newins "${FILESDIR}"/${PN}.logrotate ${PN}
-}
-
-pkg_postinst() {
- if [[ -z "${REPLACING_VERSIONS}" ]]; then
- elog "A default configuration file has been installed in"
- elog "${EROOT}/etc/fluent/fluent.conf. You will need to edit"
- elog "this file to match your configuration."
- fi
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2024-01-20 13:33 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-06-28 0:14 [gentoo-commits] repo/gentoo:master commit in: app-admin/fluentd/, app-admin/fluentd/files/ William Hubbs
-- strict thread matches above, loose matches on Subject: below --
2018-11-09 19:33 William Hubbs
2018-11-13 0:49 William Hubbs
2024-01-20 13:33 Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox